﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using System.Windows.Controls.Primitives;
using Telerik.Windows.Controls;

namespace SliderExample
{
    public partial class MainPage : UserControl
    {
        private RepeatButton increaseHandle, decreaseHandle; 

        public MainPage()
        {
            InitializeComponent();

            slider.Loaded += new RoutedEventHandler(Slider_Loaded);
        }

        private void Slider_Loaded(object sender, RoutedEventArgs e)
        {
            Dispatcher.BeginInvoke(() =>
            {
                Panel root = VisualTreeHelper.GetChild(slider, 0) as Panel;
                decreaseHandle = root.FindName("HorizontalDecreaseHandle") as RepeatButton;
                increaseHandle = root.FindName("HorizontalIncreaseHandle") as RepeatButton;
                increaseHandle.Click += new RoutedEventHandler(increaseHandle_Click);
                decreaseHandle.Click += new RoutedEventHandler(decreaseHandle_Click);
            });
        }

        private void increaseHandle_Click(object sender, RoutedEventArgs e)
        {
            //Implement your custom logic.
        }

        private void decreaseHandle_Click(object sender, RoutedEventArgs e)
        {
            //Implement your custom logic.
        }
    }
}
